# The contents of this file are subject to the Mozilla Public License Version 1.1
# (the "License"); you may not use this file except in compliance with the License.
# You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
# 
# Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
# WARRANTY OF ANY KIND, either express or implied. See the License for the specific
# language governing rights and limitations under the License.
# 
# The Original Code is the Venice Web Communities System.
# 
# The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
# for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
# Copyright (C) 2002-03 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
# 
# Contributor(s): 
# ---------------------------------------------------------------------------------
# This file has been localized for the en_US locale
dbx.notInitialized=The connection pool object has not been initialized
dbx.classNotFound=Can't find JDBC driver class: {0}
dbx.illegalAccess=Can't access JDBC driver class: {0}
dbx.instantiation=Can't create JDBC driver class: {0}
dbx.sqlMakeNewConn=Can't create new database connection
dbx.connectionLimit=Connection limit reached
dbx.testfail=Test failed on database {0} (url {1}): {2}
config.inferType=Database type was not specified, and unable to infer it from JDBC driver name "{0}".
config.initialConn=Invalid initial connections parameter
config.maxConn=Invalid maximum connections parameter
config.create=Unable to create initial database connections
utils.impl=Database utilities are not implemented for database type "{0}".
load.opsClass=Unable to load {2} class for database "{1}": {0}
general=Database access failure: {0}
nsCache.notFound=Unknown namespace ID seen; possible internal error.
property.serialize=The value of property "{0}" could not be serialized.
property.deserialize=The value of property "{0}" could not be deserialized.
ose.setProperty=Unable to set the value of property "{1}" in namespace "{0}".
ose.removeProperty=Unable to remove the value of property "{1}" in namespace "{0}".
ose.getNamespaces=Unable to enumerate the namespaces in this ObjectStore.
ose.getNames=Unable to enumerate the object names in namespace "{0}".
auth.register=Authenticator already registered for namespace "{0}", name "{1}".
auth.notFound=No authenticator registered for namespace "{0}", name "{1}".
auth.noUserData=User cannot authenticate with authenticator namespace "{0}", name "{1}".
ose.setBlock=Unable to set the value of block "{1}" in namespace "{0}".
ose.removeBlock=Unable to remove the value of block "{1}" in namespace "{0}".
sec.changeUser=You are not permitted to change the attributes of user "{0}".
sec.needSec=You cannot perform this operation on a group without specifying a user making the change.
sec.setGroupProperty=You are not permitted to set property values for group "{0}".
sec.removeGroupProperty=You are not permitted to remove property values from group "{0}".
sec.addGroupMember=You are not permitted to add members to group "{0}".
sec.removeGroupMember=You are not permitted to remove members from group "{0}".
sec.setGroupAcl=You are not permitted to change the access control list of group "{0}".
sec.setGlobalProperty=You are not permitted to set the global property.
sec.removeGlobalProperty=You are not permitted to remove the global property.
sec.setGlobalBlock=You are not permitted to set the global block.
sec.removeGlobalBlock=You are not permitted to remove the global block.
img.loadFail=Failed to load image {0} due to I/O error.
img.badOwner=Invalid owner for new image.
img.notOwner=You are not the owner of image {0}.
img.normalize=Image normalization of {0} failed: {1}.
